WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Microsoft AJAX Translation

A quick, simple, and light way for your readers to translate your blog by using the Microsoft Translator API.

The Microsoft AJAX Translation WordPress plugin offers a "Translate" button that allows readers to translate your blog's posts into a specified language with a quick, light ajax call to the Microsoft Translator API.

Why Microsoft AJAX Translation?

As of December 1, 2011, Google Translate API v1 is no longer available; it was officially deprecated due to the substantial economic burden. Google Translate API v2 is now available as a paid service only, and the number of requests your application can make per day is limited.

This is dramatic news. All of those "free" programs that hitchhiked on Google Translate are history. A lot of wordpress plugins that depended on the free Google Translation Engine also not work any more.

Fortunately, Microsoft still provide a free translation API for programmer. That's why I decide to develop this plugin, which uses Microsoft Translator API. It is a surprisingly adequate substitute for Google Translate.

Features

  • 38 languages supported. Powered by Microsoft's state-of-the-art statistical machine translation system.
  • Detects your source language automatically. If your source text changes to more than one language it may get confused.
  • Detects visitor's language automatically. Show the translate button in your readers' prefered language according to their broswer UA.
  • AJAX translation. Better user experience as no refresh is needed.
  • On demand translation. The plugin can translate just the content of the post, and full page translation is also supported.
  • Flexible to exclude certain posts and pages. Even a section of a page can be excluded from being translated by a jQuery selector.

Related Links

Requires: 2.8 or higher
Compatible up to: 3.3.2
Last Updated: 2012-3-2
Downloads: 11,296

Ratings

2 stars
2.9 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

67,3,2
0,5,0
100,1,1
0,1,0
0,1,0